---
title: Less than or equal (<=)
slug: Web/JavaScript/Reference/Operators/Less_than_or_equal
tags:
  - JavaScript
  - Language feature
  - Operator
  - Reference
---
<div>{{jsSidebar("Operators")}}</div>

<p>The less than or equal operator (<code>&lt;=</code>) returns <code>true</code> if the left operand is less than or equal to the right operand, and <code>false</code> otherwise.</p>

<div>{{EmbedInteractiveExample("pages/js/expressions-less-than-or-equal.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"> x &lt;= y</pre>

<h2 id="Description">Description</h2>

<p>The operands are compared using the <a class="external external-icon" href="https://tc39.es/ecma262/#sec-abstract-relational-comparison" rel="noopener">Abstract Relational Comparison</a> algorithm. See the documentation for the <a href="/en-US/docs/Web/JavaScript/Reference/Operators/Less_than">Less than</a> operator for a summary of this algorithm.</p>

<h2 id="Examples">Examples</h2>

<h3 id="String_to_string_comparison">String to string comparison</h3>

<pre class="brush: js notranslate">console.log("a" &lt;= "b");     // true
console.log("a" &lt;= "a");     // true
console.log("a" &lt;= "3");     // false
</pre>

<h3 id="String_to_number_comparison">String to number comparison</h3>

<pre class="brush: js notranslate">console.log("5" &lt;= 3);       // false
console.log("3" &lt;= 3);       // true
console.log("3" &lt;= 5);       // true

console.log("hello" &lt;= 5);   // false
console.log(5 &lt;= "hello");   // false</pre>

<h3 id="Number_to_Number_comparison">Number to Number comparison</h3>

<pre class="brush: js notranslate">console.log(5 &lt;= 3);         // false
console.log(3 &lt;= 3);         // true
console.log(3 &lt;= 5);         // true</pre>

<h3 id="Number_to_BigInt_comparison">Number to BigInt comparison</h3>

<pre class="brush: js notranslate">console.log(5n &lt;= 3);        // false
console.log(3 &lt;= 3n);        // true
console.log(3 &lt;= 5n);        // true</pre>

<h3 id="Comparing_Boolean_null_undefined_NaN">Comparing Boolean, null, undefined, NaN</h3>

<pre class="brush: js notranslate">console.log(true &lt;= false);  // false
console.log(true &lt;= true);   // true
console.log(false &lt;= true);  // true

console.log(true &lt;= 0);      // false
console.log(true &lt;= 1);      // true

console.log(null &lt;= 0);      // true
console.log(1 &lt;= null);      // false

console.log(undefined &lt;= 3); // false
console.log(3 &lt;= undefined); // false

console.log(3 &lt;= NaN);       // false
console.log(NaN &lt;= 3);       // false</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-relational-operators', 'Relational operators')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.operators.less_than_or_equal")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Greater_than">Greater than operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Greater_than_or_equal">Greater than or equal operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Less_than">Less than operator</a></li>
</ul>
